Package org.apache.wiki.event

# Class WikiEngineEvent

java.lang.Object
java.util.EventObject
org.apache.wiki.event.WikiEvent
org.apache.wiki.event.WikiEngineEvent

All Implemented Interfaces:
  `Serializable`

public class WikiEngineEvent extends WikiEvent
WikiEngineEvent indicates a change in the state of the Engine.

Since:
  2.4.20
See Also:
  - `WikiEvent`
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`INITIALIZED`
Indicates a Engine initialized event, fired after the wiki service is fully available.
`static final int`
`INITIALIZING`
Indicates a Engine initialization event, fired as the wiki service is being initialized (in progress).
`static final int`
`SHUTDOWN`
Indicates a Engine closing event, fired as a signal that the wiki service is shutting down.
`static final int`
`STOPPED`
Indicates a Engine stopped event, fired after halting the wiki service.

### Fields inherited from class org.apache.wiki.event.WikiEvent

`ERROR, UNDEFINED`

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`WikiEngineEvent(Object eventSource, int type)`
Constructs an instance of this event.

## Method Summary

Modifier and Type
Method
Description
`final String`
`eventName()`
Returns a textual representation of the event type.
`final String`
`getTypeDescription()`
Returns a human-readable description of the event type.
`static boolean`
`isValidType(int type)`
Returns `true` if the int value is a WikiPageEvent type.
`protected void`
`setType(int type)`
Sets the type of this event.

### Methods inherited from class org.apache.wiki.event.WikiEvent

`getArg, getArgs, getAttributes, getSrc, getType, getWhen, toString`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### INITIALIZING

public static final int INITIALIZING
Indicates a Engine initialization event, fired as the wiki service is being initialized (in progress).

See Also:
  - Constant Field Values

### INITIALIZED

public static final int INITIALIZED
Indicates a Engine initialized event, fired after the wiki service is fully available.

See Also:
  - Constant Field Values

### SHUTDOWN

public static final int SHUTDOWN
Indicates a Engine closing event, fired as a signal that the wiki service is shutting down.

See Also:
  - Constant Field Values

### STOPPED

public static final int STOPPED
Indicates a Engine stopped event, fired after halting the wiki service. A Engine in this state is not expected to provide further services.

See Also:
  - Constant Field Values

## Constructor Details

### WikiEngineEvent

public WikiEngineEvent(Object eventSource, int type)
Constructs an instance of this event.

Parameters:
  `eventSource` - the Object that is the source of the event, which must be the Engine. If it is not, this method thows a ClassCastException
  `type` - the event type

## Method Details

### setType

protected void setType(int type)
Sets the type of this event.

Overrides:
  `setType` in class `WikiEvent`
Parameters:
  `type` - the type of this WikiEngineEvent.

### isValidType

public static boolean isValidType(int type)
Returns `true` if the int value is a WikiPageEvent type.

Parameters:
  `type` - the event type
Returns:
  the result

### eventName

public final String eventName()
Returns a textual representation of the event type.

Overrides:
  `eventName` in class `WikiEvent`
Returns:
  a String representation of the type

### getTypeDescription

public final String getTypeDescription()
Returns a human-readable description of the event type.

Overrides:
  `getTypeDescription` in class `WikiEvent`
Returns:
  a String description of the type